Subject: Roommate wanted for MSA 95 meeting

From: [email-masked] (Qiuxin Wu)
Date: 18 Jul 1995 09:03:42 -0700

Hi! I plan to attend Mycological Society of America annual meeting
which will be jointly held with AIBS in San Diego, August 6-10, 1995. I have
already reserved a double-bed room in Town and Country Hotel, but my
roommate decided not go to the meeting. I like to share the room and the
cost ($108 per night, $54 per person per night) with someone. I am a female.
If you are interested and you are a female, please send me a message to
[email-masked].   Non-smoker preferred.
Dr. Qiuxin Wu                                Phone: (312)-922-9410, ext. 718
Department of Botany                     Fax: (312) 427-2530
The Field Museum                          e-mail: [email-masked]
Chicago, IL 60605-2496